%bcond_with perl_Package_Stash_XS_enables_optional_test

Summary:        Faster and more correct implementation of the Package::Stash API
Name:           perl-Package-Stash-XS
Version:        0.30
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Package-Stash-XS
Source0:        https://cpan.metacpan.org/modules/by-module/Package/Package-Stash-XS-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(warnings) perl(XSLoader)
BuildRequires:  perl(B) perl(base) perl(blib) perl(constant) perl(File::Spec)
BuildRequires:  perl(IO::Handle) perl(IPC::Open3) perl(lib) perl(Scalar::Util)
BuildRequires:  perl(Symbol) perl(Test::Fatal) perl(Test::More) >= 0.88 perl(Test::Needs)
%if %{with perl_Package_Stash_XS_enables_optional_test}
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(Package::Anon) perl(Variable::Magic)
%endif

%description
As the back-end of Package::Stash, this module provides functionality in a less buggy 
and faster way. This module will be used by default after installation and should be 
preferred in all environments with compilers.

%prep
%autosetup -n Package-Stash-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorarch}/auto/Package/
%{perl_vendorarch}/Package/
%{_mandir}/man3/Package::Stash::XS.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.30-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Wang Guodong <gordonwwang@tencent.com> - 0.30-2
- disable optional test.

* Mon Aug 15 2022 Wang Guodong <gordonwwang@tencent.com> - 0.30-1
- package init.
